Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# StepAP214_AutoDesignGroupedItem.hxx File Reference

`#include <StepData_SelectType.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Handle_Standard_Transient.hxx>`
`#include <Handle_StepShape_AdvancedBrepShapeRepresentation.hxx>`
`#include <Handle_StepShape_CsgShapeRepresentation.hxx>`
`#include <Handle_StepShape_FacetedBrepShapeRepresentation.hxx>`
`#include <Handle_StepShape_GeometricallyBoundedSurfaceShapeRepresentation.hxx>`
`#include <Handle_StepShape_GeometricallyBoundedWireframeShapeRepresentation.hxx>`
`#include <Handle_StepShape_ManifoldSurfaceShapeRepresentation.hxx>`
`#include <Handle_StepRepr_Representation.hxx>`
`#include <Handle_StepRepr_RepresentationItem.hxx>`
`#include <Handle_StepRepr_ShapeAspect.hxx>`
`#include <Handle_StepShape_ShapeRepresentation.hxx>`
`#include <Handle_StepVisual_TemplateInstance.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`